# Generated from avatax_client-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name avatax_client

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: A Ruby interface to the Avalara Avatax API
License: MIT
URL: http://github.com/C-S-D/avatax_client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(dotenv)
# BuildRequires: rubygem(juwelier) >= 2.1.0
# BuildRequires: rubygem(juwelier) < 2.2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.47.0
# BuildRequires: rubygem(rubocop) < 0.48
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(rspec_junit_formatter) = 0.2.2
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0.0
# BuildRequires: rubygem(codeclimate-test-reporter) < 1.1
BuildArch: noarch

%description
Reduce the burden of integration with the Avalara Avatax API.
Avatax simplifies the calculation taxes.
This project is targeted at their more recent REST API (v2 and up).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/README.rdoc

%changelog
* Mon Apr 18 2022 mockbuilder - 0.2.1-1
- Initial package
